org.apache.maven.scm.provider.hg.command.diff

## Class HgDiffCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.diff.AbstractDiffCommand
    - - org.apache.maven.scm.provider.hg.command.diff.HgDiffCommand

All Implemented Interfaces:
  Command

    public class HgDiffCommand
    extends AbstractDiffCommand
    implements Command

Version:
  $Id: HgDiffCommand.java 686566 2008-08-16 21:52:46Z olamy $
Author:
  thurner rupert

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`HgDiffCommand()`

### Method Summary

Methods
`protected DiffScmResult` `executeDiffCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion startRevision, ScmVersion endRevision)`

### Methods inherited from class org.apache.maven.scm.command.diff.AbstractDiffCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### HgDiffCommand

    public HgDiffCommand()

### Method Detail

#### executeDiffCommand

    protected DiffScmResult executeDiffCommand(ScmProviderRepository repo,
                                   ScmFileSet fileSet,
                                   ScmVersion startRevision,
                                   ScmVersion endRevision)
                                        throws ScmException

Specified by:
  `executeDiffCommand` in class `AbstractDiffCommand`
Throws:
  `ScmException`